import { Module } from "@nestjs/common";
import { BlogPostService } from "./blog-post.service";
import { BlogPostController } from "./blog-post.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { BlogPostRepository } from "./blog-post.repository";
import { BlogPostTagsRepository } from "../blog-post-tags/blog-post-tags.repository";
import { BlogTagRepository } from "../blog-tag/blog-tag.repository";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BlogPostRepository]),
        TypeOrmModule.forFeature([BlogPostTagsRepository]),
        TypeOrmModule.forFeature([BlogTagRepository])
    ],
    controllers: [BlogPostController],
    providers: [BlogPostService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class BlogPostModule {
}