export function upsRate(
    streetLines: any,
    city: any,
    stateOrProvinceCode: any,
    postalCode: any,
    countryCode: any,
    serviceCode: any,
    serviceValue: any,
    weightValue: any,
    name: any,
    upsConfig: any
) {
    console.log(upsConfig.addressLine);
    console.log(upsConfig.city);
    console.log(upsConfig.stateProvienceCode);
    return {
        "RateRequest": {
            "Request": {
                "SubVersion": "1703",
                "TransactionReference": {
                    "CustomerContext": "Neutrix123"
                }
            },
            "Shipment": {
                "ShipmentRatingOptions": {
                    "UserLevelDiscountIndicator": "TRUE"
                },
                "Shipper": {
                    "Name": upsConfig.shipperAccountName,
                    "ShipperNumber": upsConfig.shipperAccountNumber,
                    "Address": {
                        "AddressLine": upsConfig.addressLine,
                        "City": upsConfig.city,
                        "StateProvinceCode": upsConfig.stateProvienceCode,
                        "PostalCode": upsConfig.postalCode,
                        "CountryCode": upsConfig.countryCode
                    }
                },
                "ShipTo": {
                    "Name": name,
                    "Address": {
                        "AddressLine": streetLines,
                        "City": city,
                        "StateProvinceCode": stateOrProvinceCode,
                        "PostalCode": postalCode,
                        "CountryCode": countryCode
                    }
                },
                "ShipFrom": {
                    "Name": upsConfig.shipperAccountName,
                    "Address": {
                        "AddressLine": upsConfig.addressLine,
                        "City": upsConfig.city,
                        "StateProvinceCode": upsConfig.stateProvienceCode,
                        "PostalCode": upsConfig.postalCode,
                        "CountryCode": upsConfig.countryCode
                    }
                },
                "Service": {
                    "Code": serviceCode,
                    "Description": serviceValue
                },
                "ShipmentTotalWeight": {
                    "UnitOfMeasurement": {
                        "Code": "LBS", //KGS
                        "Description": "Pound" //Kilogrames
                    },
                    "Weight": `${weightValue}`
                },
                "Package": {
                    "PackagingType": {
                        "Code": "02",
                        "Description": "Package"
                    },
                    "Dimensions": {
                        "UnitOfMeasurement": {
                            "Code": "IN"
                        },
                        "Length": "10",
                        "Width": "7",
                        "Height": "5"
                    },
                    "PackageWeight": {
                        "UnitOfMeasurement": {
                            "Code": "LBS"
                        },
                        "Weight": `${weightValue}`
                    }
                }
            }
        }
    };
}

export function upsShippingCreate(
    streetLines: any,
    city: any,
    stateOrProvinceCode: any,
    postalCode: any,
    countryCode: any,
    serviceCode: any,
    serviceValue: any,
    weightValue: any,
    name: any,
    phoneNumber: any,
    upsConfig: any
) {
    return {
        "ShipmentRequest": {
            "Shipment": {
                "Description": "1206 PTR",
                "Shipper": {
                    "Name": upsConfig.shipperAccountName,
                    "AttentionName": "AttentionName",
                    "TaxIdentificationNumber": "TaxID",
                    "Phone": {
                        "Number": "1234567890"
                    },
                    "ShipperNumber": upsConfig.shipperAccountNumber,
                    "Address": {
                        "AddressLine": upsConfig.addressLine,
                        "City": upsConfig.city,
                        "StateProvinceCode": upsConfig.stateProvienceCode,
                        "PostalCode": upsConfig.postalCode,
                        "CountryCode": upsConfig.countryCode
                    }
                },
                "ShipTo": {
                    "Name": name,
                    "AttentionName": "AttentionName",
                    "Phone": {
                        "Number": phoneNumber
                    },
                    "TaxIdentificationNumber": "456999",
                    "Address": {
                        "AddressLine": streetLines,
                        "City": city,
                        "StateProvinceCode": stateOrProvinceCode,
                        "PostalCode": postalCode,
                        "CountryCode": countryCode,
                        "ResidentialAddressIndicator": "TRUE"
                    }
                },
                "ShipFrom": {
                    "Name": upsConfig.shipperAccountName,
                    "AttentionName": "AttentionName",
                    "Phone": {
                        "Number": "1234567890"
                    },
                    "FaxNumber": "1234567999",
                    "TaxIdentificationNumber": "456999",
                    "Address": {
                        "AddressLine": upsConfig.addressLine,
                        "City": upsConfig.city,
                        "StateProvinceCode": upsConfig.stateProvienceCode,
                        "PostalCode": upsConfig.postalCode,
                        "CountryCode": upsConfig.countryCode
                    }
                },
                "PaymentInformation": {
                    "ShipmentCharge": {
                        "Type": "01",
                        "BillShipper": {
                            "AccountNumber": upsConfig.shipperAccountNumber
                        }
                    }
                },
                "Service": {
                    "Code": serviceCode,
                    "Description": serviceValue
                },
                "Package": [
                    {
                        "Description": "Package",
                        "Packaging": {
                            "Code": "02"
                        },
                        "PackageWeight": {
                            "UnitOfMeasurement": {
                                "Code": "LBS"
                            },
                            "Weight": `${weightValue}`
                        },
                        "PackageServiceOptions": ""
                    }
                ],
                "ItemizedChargesRequestedIndicator": "",
                "RatingMethodRequestedIndicator": "",
                "TaxInformationIndicator": "",
                "ShipmentRatingOptions": {
                    "NegotiatedRatesIndicator": ""
                }
            },
            "LabelSpecification": {
                "LabelImageFormat": {
                    "Code": "PNG"
                }
            }
        }
    };
}

export function pickupCreate(
    streetLines: any,
    city: any,
    stateOrProvinceCode: any,
    postalCode: any,
    countryCode: any,
    serviceCode: any,
    serviceValue: any,
    weightValue: any,
    name: any,
    phoneNumber: any,
    upsConfig: any
) {
    return {
        "PickupCreationRequest": {
            "RatePickupIndicator": "N",
            "Shipper": {
                "Account": {
                    "AccountNumber": upsConfig.shipperAccountNumber,
                    "AccountCountryCode": upsConfig.countryCode
                }
            },
            "PickupDateInfo": {
                "CloseTime": "1400",
                "ReadyTime": "0500",
                "PickupDate": "20220922"
            },
            "PickupAddress": {
                "CompanyName": "Pickup Proxy",
                "ContactName": "Pickup Manager",
                "AddressLine": "315 Saddle Bridge Drive",
                "Room": "R01",
                "Floor": "2",
                "City": "Allendale",
                "StateProvince": "NJ",
                "Urbanization": "",
                "PostalCode": "07401",
                "CountryCode": "US",
                "ResidentialIndicator": "Y",
                "PickupPoint": "Lobby",
                "Phone": {
                    "Number": "6785851399",
                    "Extension": "911"
                }
            },
            "AlternateAddressIndicator": "Y",
            "PickupPiece": [
                {
                    "ServiceCode": "001",
                    "Quantity": "27",
                    "DestinationCountryCode": "US",
                    "ContainerCode": "01"
                },
                {
                    "ServiceCode": "012",
                    "Quantity": "4",
                    "DestinationCountryCode": "US",
                    "ContainerCode": "01"
                }
            ],
            "TotalWeight": {
                "Weight": "5.5",
                "UnitOfMeasurement": "LBS"
            },
            "OverweightIndicator": "N",
            "PaymentMethod": "01",
            "SpecialInstruction": "Jias Test ",
            "ReferenceNumber": "CreatePickupMeutrix",
            "Notification": {
                "ConfirmationEmailAddress": "frank@neutrix.co",
                "UndeliverableEmailAddress": "frank@neutrix.co"
            },
            "CSR": {
                "ProfileId": "1 Q83 122",
                "ProfileCountryCode": "US"
            }
        }
    };
}

export function pickupRate(
    streetLines: any,
    city: any,
    stateOrProvinceCode: any,
    postalCode: any,
    countryCode: any,
    upsConfig: any
) {
    return {
        "PickupRateRequest": {
            "PickupAddress": {
                "AddressLine": streetLines,
                "City": city,
                "StateProvince": stateOrProvinceCode,
                "PostalCode": postalCode,
                "CountryCode": countryCode,
                "ResidentialIndicator": "Y"
            },
            "AlternateAddressIndicator": "N",
            "ServiceDateOption": "02",
            "PickupDateInfo": {
                "CloseTime": "2000",
                "ReadyTime": "900",
                "PickupDate": "20220909"
            }
        }
    };
}